Package: org.gradle.api.tasks.scala

## [Java] Class ScalaDoc

- org.gradle.api.tasks.scala.ScalaDoc

- Generates HTML API documentation for Scala source files.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `generate()`
    `protected IsolatedAntBuilder` | `getAntBuilder()`
    `FileCollection` | `getClasspath()`
    `File` | `getDestinationDir()` Returns the directory to generate the API documentation into.
    `FileCollection` | `getScalaClasspath()` Returns the classpath to use to load the ScalaDoc tool.
    `ScalaDocOptions` | `getScalaDocOptions()` Returns the ScalaDoc generation options.
    `String` | `getTitle()` Returns the documentation title.
    `void` | `setClasspath(FileCollection classpath)`
    `void` | `setDestinationDir(File destinationDir)`
    `void` | `setScalaClasspath(FileCollection scalaClasspath)`
    `void` | `setScalaDocOptions(ScalaDocOptions scalaDocOptions)`
    `void` | `setTitle(String title)`

- - ### Method Detail

    - #### @TaskAction protected void generate()

    - #### @Inject protected IsolatedAntBuilder getAntBuilder()

    - #### @InputFiles public FileCollection getClasspath()

      Returns the classpath to use to locate classes referenced by the documented source.

      Returns:
        The classpath.

    - #### @OutputDirectory public File getDestinationDir()

      Returns the directory to generate the API documentation into.

    - #### @InputFiles public FileCollection getScalaClasspath()

      Returns the classpath to use to load the ScalaDoc tool.

    - #### @Nested public ScalaDocOptions getScalaDocOptions()

      Returns the ScalaDoc generation options.

    - #### @Input @Optional public String getTitle()

      Returns the documentation title.

    - #### public void setClasspath(FileCollection classpath)

    - #### public void setDestinationDir(File destinationDir)

    - #### public void setScalaClasspath(FileCollection scalaClasspath)

    - #### public void setScalaDocOptions(ScalaDocOptions scalaDocOptions)

    - #### public void setTitle(String title)